%include	/usr/lib/rpm/macros.php
%define		_status		stable
%define		_pearname	XML_NITF
Summary:	%{_pearname} - parse NITF documents
Summary(pl.UTF-8):	%{_pearname} - analiza dokumentów NITF
Name:		php-pear-%{_pearname}
Version:	1.1.1
Release:	2
License:	PHP 2.02
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	1c849b5777e5ab7081c3959eaa831ee3
URL:		http://pear.php.net/package/XML_NITF/
BuildRequires:	php-pear-PEAR >= 1:1.4.0-0.b1
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php(core) >= 4.3.0
Requires:	php-pear
Requires:	php-pear-XML_Parser
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package provides a NITF XML parser. The parser was designed with
NITF version 3.1, but should be forward-compatible when new versions
of the NITF DTD are produced. Various methods for accessing the major
elements of the document, such as the hedline(s), byline, and lede are
provided. This class was originally tested against the Associated
Press's (AP) XML data feed.

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
Ten pakiet udostępnia analizator dokumentów XML NITF. Analizator
został zaprojektowany dla NITF w wersji 3.1, ale powinien być
kompatybilny w przód, kiedy zostaną wydane nowe wersje NITF DTD.
Dostępne są różne metody do dostępu do głównych elementów dokumentu,
takich jak hedline, byline i lede. Ta klasa była oryginalnie testowana
danymi XML z Associated Press (AP).

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup

# developer project files
%{__rm} .%{php_pear_dir}/data/XML_NITF/.buildpath
%{__rm} .%{php_pear_dir}/data/XML_NITF/.project
%{__rm} .%{php_pear_dir}/data/XML_NITF/.settings/org.eclipse.php.core.prefs

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/XML/NITF.php
%changelog
* Sun Aug 26 2012 Elan Ruusamäe <glen@delfi.ee> 1155b86
- use php(core) for php engine version deps
- release 1 (by relup.sh)

* Tue Nov 16 2010 Elan Ruusamäe <glen@pld-linux.org> d3b3b8c
- up to 1.1.1

* Sat Aug 21 2010 Elan Ruusamäe <glen@pld-linux.org> f968fa7
- updated deps with pearize.sh
- release 3

* Thu Jan 31 2008 Elan Ruusamäe <glen@pld-linux.org> 3aab80b
- rel 2

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 33eb0a2
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 9f947b7
- converted to UTF-8

* Tue May 23 2006 Elan Ruusamäe <glen@pld-linux.org> 3cbe2c8
- BR rpm-build macros >= 1.300 for %pear_ macros

* Tue Mar 07 2006 Elan Ruusamäe <glen@pld-linux.org> 645161f
- BR php-pear-PEAR

* Sat Dec 10 2005 Elan Ruusamäe <glen@pld-linux.org> a1d5c14
- 1.1.0-stable

* Wed Oct 05 2005 Elan Ruusamäe <glen@pld-linux.org> 8a17cbd
- rel 2

* Mon Oct 03 2005 Elan Ruusamäe <glen@pld-linux.org> 025e622
- fixed status

* Mon Oct 03 2005 Elan Ruusamäe <glen@pld-linux.org> 2170703
- semi automatically added deps from pear

* Sat Oct 01 2005 Elan Ruusamäe <glen@pld-linux.org> 10d81b4
- new pear packaging

* Mon Mar 21 2005 Adam Gołębiowski <adamg@pld-linux.org> 93e6661
- updated to 1.0.2

* Sat Feb 05 2005 Adam Gołębiowski <adamg@pld-linux.org> de52afd
- updated to 1.0.1

* Sat Dec 04 2004 Adam Gołębiowski <adamg@pld-linux.org> 6d3ef4e
- rebuild with new PEAR provides/requires scripts
- release 2

* Sun May 30 2004 Adam Gołębiowski <adamg@pld-linux.org> f143941
- fixed english information about status of the package

* Mon Mar 15 2004 ankry <ankry@pld-linux.org> 2ca122b
- massive cosmetics

* Sat Feb 14 2004 Adam Gołębiowski <adamg@pld-linux.org> 0834ece
- added source0-md5

* Tue Oct 07 2003 Adam Gołębiowski <adamg@pld-linux.org> 93f26a9
- do not use macros in URL

